Package com.orchestranetworks.ui

# Class UICSSClasses

java.lang.Object
com.orchestranetworks.ui.UICSSClasses

public class UICSSClasses extends Object
This class defines all CSS classes usable for User services, UI beans and `FormPane`s.

Since:
  5.2.0

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `UICSSClasses.DIALOG_BOX`
  `static final class`
  `UICSSClasses.ICONS`
  All the CSS classes used to display standard icons.
  `static final class`
  `UICSSClasses.TABLE`
  For basic tables (`<table>`, `<tr>`, `<th>` and `<td>` containing data).
  `static final class`
  `UICSSClasses.TEXT`
  All the CSS classes used to display standard text styles.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `COLORED_BACKGROUND`
  Defines a background with the current main color.
  `static final String`
  `COLORED_BORDER`
  Defines a border with the current feature color.
  `static final String`
  `CONTAINER_WITH_FORM_ROWS`
  Defines a margin around a container with form rows.
  `static final String`
  `CONTAINER_WITH_TEXT`
  Defines a margin around a container with text.
  `static final String`
  `CONTAINER_WITH_TEXT_PADDING`
  Defines a padding around a container with text.
  `static final String`
  `ERROR_BORDER`
  Border color for an error
  `static final String`
  `IGNORE_FORM_CHECK`
  Sets a form element to be ignored by the system when checking for modifications upon leaving a form.
  `static final String`
  `INFO_BORDER`
  Border color for an info
  `static final String`
  `LIGHT_COLORED_BACKGROUND`
  Defines a background with a lighter version of the current main color.
  `static final String`
  `SMALL_FORM_BUTTONS`
  Deprecated.
  Since 5.9.0, buttons in form are no more smaller than other buttons
  `static final String`
  `WARNING_BORDER`
  Border color for a warning

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### COLORED_BACKGROUND

    public static final String COLORED_BACKGROUND
    Defines a background with the current main color.
    See Also:
      - Constant Field Values

  - ### LIGHT_COLORED_BACKGROUND

    public static final String LIGHT_COLORED_BACKGROUND
    Defines a background with a lighter version of the current main color.
    See Also:
      - Constant Field Values

  - ### COLORED_BORDER

    public static final String COLORED_BORDER
    Defines a border with the current feature color.

    The initial style of `COLORED_BORDER` is `border-width: 1px` and `border-style: solid`.

    See Also:
      - Constant Field Values

  - ### IGNORE_FORM_CHECK

    public static final String IGNORE_FORM_CHECK
    Sets a form element to be ignored by the system when checking for modifications upon leaving a form.
    See Also:
      - `UIButtonSpecNavigation.setAskBeforeLeavingModifiedForm(boolean)`
      - Constant Field Values

  - ### CONTAINER_WITH_FORM_ROWS

    public static final String CONTAINER_WITH_FORM_ROWS
    Defines a margin around a container with form rows. This is very useful for keeping form rows from being flush against the border of the workspace.

    Recommended HTML element: `<div>`.

    Since:
      5.3.0
    See Also:
      - Constant Field Values

  - ### CONTAINER_WITH_TEXT

    public static final String CONTAINER_WITH_TEXT
    Defines a margin around a container with text. This is very useful for keeping text from being flush against the border of the workspace and keep the alignment with the space between the left border of the workspace and the workspace title.

    The margin follows the density.

    Recommended HTML tag: `<div>`.

    Since:
      5.3.0
    See Also:
      - `CONTAINER_WITH_TEXT_PADDING`
      - Constant Field Values

  - ### CONTAINER_WITH_TEXT_PADDING

    public static final String CONTAINER_WITH_TEXT_PADDING
    Defines a padding around a container with text. This is very useful for keeping text from being flush against the border of the workspace and keep the alignment with the space between the left border of the workspace and the workspace title.

    The padding follows the density.

    Recommended HTML tag: `<div>`.

    Since:
      5.7.0
    See Also:
      - `CONTAINER_WITH_TEXT`
      - Constant Field Values

  - ### SMALL_FORM_BUTTONS

    @Deprecated public static final String SMALL_FORM_BUTTONS
    Deprecated.
    Since 5.9.0, buttons in form are no more smaller than other buttons
    Apply this class on a container to reduce the size of all the children buttons, like in form rows.

    Recommended HTML tags: `<div>` or `<span>`.

    Since:
      5.5.1
    See Also:
      - Constant Field Values

  - ### ERROR_BORDER

    public static final String ERROR_BORDER
    Border color for an error

    This CSS class only defines a `border-color`. `border-style` and `border-width` must be manually defined.

    Since:
      5.9.0
    See Also:
      - Constant Field Values

  - ### WARNING_BORDER

    public static final String WARNING_BORDER
    Border color for a warning

    This CSS class only defines a `border-color`. `border-style` and `border-width` must be manually defined.

    Since:
      5.9.0
    See Also:
      - Constant Field Values

  - ### INFO_BORDER

    public static final String INFO_BORDER
    Border color for an info

    This CSS class only defines a `border-color`. `border-style` and `border-width` must be manually defined.

    Since:
      5.9.0
    See Also:
      - Constant Field Values